metaHTML

# Class: htmlTableRow

Source Location: /lib/html.inc

### Class Overview

    htmlElement
       |
       --htmlTableRow

A row inside a htmlTable.

#### Author(s):

### Methods

- __construct
- generateHTML

### Inherited Constants

#### Class: htmlElement

htmlElement::ALIGN_BOTTOM
htmlElement::ALIGN_CENTER
htmlElement::ALIGN_LEFT
htmlElement::ALIGN_RIGHT
htmlElement::ALIGN_TOP
htmlElement::OPTION_ALIGN

### Inherited Variables

#### Class: htmlElement

htmlElement::$alignment
htmlElement::$colspan
htmlElement::$rowspan

### Inherited Methods

#### Class: htmlElement

htmlElement::generateHTML()
  Prints the HTML code for this element.
htmlElement::getAlignmentString()
  Returns the HTML attributes for the alignment.
htmlElement::getColspanString()
  Returns the HTML attribute for the colspan.
htmlElement::getRowspanString()
  Returns the HTML attribute for the rowspan.

### Class Details

[line 266]
A row inside a htmlTable.

#### Tags:

see: | htmlTable

[ Top ]

### Class Methods

### constructor __construct [line 276]

`htmlTableRow __construct( array $cells)`

Constructor

#### Tags:

see: | htmlElement

#### Parameters:

array | $cells | list of htmlElements

[ Top ]

### method generateHTML [line 291]

`array generateHTML( string $module, array $input, array $values, boolean $restricted, &$tabindex, string $scope, integer $tabindex)`

Prints the HTML code for this element.

#### Tags:

return: | List of input field names and their type (name => type)

Overrides htmlElement::generateHTML() (Prints the HTML code for this element.)

#### Parameters:

string | $module | Name of account module
array | $input | List of meta-HTML elements
array | $values | List of values which override the defaults in $input (name => value)
boolean | $restricted | If true then no buttons will be displayed
integer | $tabindex | Start value of tabulator index for input fields
string | $scope | Account type
| &$tabindex |

[ Top ]

Documentation generated on Thu, 28 Oct 2010 21:00:19 +0200 by phpDocumentor 1.4.1